//
//  ViewController.swift
//  SimpleTVOSSample
//
//  Created by David Cortes on 3/14/19.
//  Copyright © 2023 Akamai. All rights reserved.
//

import UIKit
import AVKit
import AmpCore
import AmpYoSpace
import YOAdManagement

class ViewController: UIViewController {
        
    var ampPlayer: AmpPlayer!
    var playerController: AVPlayerViewController = AVPlayerViewController()
    var ampYoSpaceManager: AmpYoSpaceManager?
    
    let liveStreamUrl = "http://csm-e.cds1.yospace.com/csm/extlive/yospace02,hlssample.m3u8?yo.br=false&yo.ac=true"
    let vodStreamUrl = "https://csm-e-sdk-validation.bln1.yospace.com/csm/access/207411697/c2FtcGxlL21hc3Rlci5tM3U4?yo.av=3"
    let NLSOStreamUrl = "https://csm-e-sdk-validation.bln1.yospace.com/access/event/latest/110611066?promo=130805986&yo.av=3"
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        let properties:YOSessionProperties = YOSessionProperties()
        properties.timeout = 2
        YOSessionProperties.add(.DEBUG_PARSING)
        
        self.ampPlayer = AmpPlayer(parentViewController: self, playerController: playerController)
        self.ampYoSpaceManager = AmpYoSpaceManager(url: vodStreamUrl, ampPlayer: ampPlayer!, yoSpaceProperties: properties, playbackMode: .YOVODMode, isLoggingEnabled: true)
        self.ampPlayer.registerObserver(self)
        self.ampPlayer.autoplay = true
        self.ampPlayer.setLicense("AwE4RPWJFvvfjLURVN47rtKHCImPT0Ys7HEBR5ogFy1dkLocPdvKR2EF7Tz5PDA7dP8xJ+uk7EaxTJEs3mw8s5vZyKaeX6XzT5K6rFzmNoDLpdhvZ2zRJaykJ3zGFjVvmuUPtxS+zZ/lcdJbgMH6EBbkkhzIrZtk578FcdqqvmxlhpjH+zH7WF833kQ1EUuQNLGLmUcc2kqbfaM7cvS4ULZRNLZ6T/t65e3AdlLWSX8FlA==")
    }
}

extension ViewController:PlayerEventObserver {
    func onAmpError(_ ampPlayer: AmpPlayer, error: PlayerError, code: Int, message: String) {
        print("An error has occurred \(error) \(code) \(message)")
    }
}
