/*
 * COPYRIGHT 2020-2021 YOSPACE TECHNOLOGIES LTD. ALL RIGHTS RESERVED.
 * The contents of this file are proprietary and confidential.
 * Unauthorised copying of this file, via any medium is strictly prohibited.
 */

#import <YOAdManagement/YOSession.h>

/**
 * Concrete Session implementation representing a viewing of a single live stream sourced from
 * the Yospace Video Platform via the Central Streaming Manager (CSM)
*/
@interface YOSessionLive : YOSession

/**
 * Class method that starts to create a YOSessionLive object, providing a URL to play a live video stream.
 *
 * @param url A URL to the Yospace Central Streaming Manager (CSM).
 * @param properties An initialisation properties object.
 * @param handler The completion handler to call when the initialisation request is complete. This handler is called on the application's main thread.
 * @see YOSessionProperties
 */
+ (void) create:(nonnull NSString*)url properties:(nonnull YOSessionProperties*)properties completionHandler:(nonnull completionHandler)handler;

@end
